package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.StationInfoMin;
import com.ruoyi.ucp.mapper.StationInfoMinMapper;
import com.ruoyi.ucp.service.IStationInfoMinService;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-08-05
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class StationInfoMinServiceImpl extends ServiceImpl<StationInfoMinMapper, StationInfoMin> implements IStationInfoMinService {

    @Override
    public boolean saveOrUpdate(StationInfoMin entity) {
        return super.saveOrUpdate(entity);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<StationInfoMin> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    @Override
    public List<StationInfoMin> list(Wrapper<StationInfoMin> queryWrapper) {
        return super.list(queryWrapper);
    }

    @Override
    public StationInfoMin getOne(Wrapper<StationInfoMin> queryWrapper) {
        return super.getOne(queryWrapper);
    }

    @Override
    public StationInfoMin getOne(Wrapper<StationInfoMin> queryWrapper, boolean throwEx) {
        return super.getOne(queryWrapper, throwEx);
    }
}
